Botan 2.19.5 Crypto and TLS for C&

Classes | Enumerations
Botan::OCSP Namespace Reference

## Classes
class | CertID
class | Request
class | Response
class | SingleResponse

## Enumerations
enum class | Response_Status_Code { Successful = 0 , Malformed_Request = 1 , Internal_Error = 2 , Try_Later = 3 , Sig_Required = 5 , Unauthorized = 6 }

## Enumeration Type Documentation

## ◆ Response_Status_Code

enum class Botan::OCSP::Response_Status_Code
| strong

OCSP response status.

see https://tools.ietf.org/html/rfc6960#section-4.2.1

Enumerator
Successful |
Malformed_Request |
Internal_Error |
Try_Later |
Sig_Required |
Unauthorized |

Definition at line 117 of file ocsp.h.

117 {
118 Successful = 0,
119 Malformed_Request = 1,
120 Internal_Error = 2,
121 Try_Later = 3,
122 Sig_Required = 5,
123 Unauthorized = 6
124};
Botan::Internal_Error
Definition: exceptn.h:342
Botan::OCSP::Response_Status_Code::Sig_Required
@ Sig_Required
Botan::OCSP::Response_Status_Code::Successful
@ Successful
Botan::OCSP::Response_Status_Code::Malformed_Request
@ Malformed_Request
Botan::OCSP::Response_Status_Code::Try_Later
@ Try_Later
Botan::OCSP::Response_Status_Code::Unauthorized
@ Unauthorized